<?xml version="1.0" encoding="utf-8"?>
<zoom_installer_root>
<install>
    <fileop>
        <file name="bin" op="addDir" dest="$bin$" ></file>
        <file name="bin" op="addDir" dest="$uninstall$" ></file>
				<file name="msaalib.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="CmmBrowserEngine.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="Cmmlib.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zUnifyWebView.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="CptHost.exe" op="add" src="$src$" dest="$bin$" ></file>
				<file name="CptShare.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="crashrpt_lang.ini" op="add" src="$src$" dest="$bin$" ></file>
				<file name="libcrypto-3-zm.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="mcm.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="nydus.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="ring.pcm" op="add" src="$src$" dest="$bin$" ></file>
				<file name="dingdong.pcm" op="add" src="$src$" dest="$bin$" ></file>
				<file name="dingdong1.pcm" op="add" src="$src$" dest="$bin$" ></file>
				<file name="record_start.pcm" op="add" src="$src$" dest="$bin$" ></file>
				<file name="record_stop.pcm" op="add" src="$src$" dest="$bin$" ></file>
				<file name="wr_ding.pcm" op="add" src="$src$" dest="$bin$" ></file>

				<file name="ssb_sdk.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="libssl-3-zm.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="tp.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="turbojpeg.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="util.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="viper.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zAutoUpdate.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zPTApp.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zChatApp.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zCommonChat.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zMsgAppCommon.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zMsgApp.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zChatUI.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zCrashReport.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zCrashReport.exe" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zData.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zWinRes.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zlt.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zmb.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="Zoom.exe" op="add" src="$src$" dest="$bin$" ></file>
				<file name="Zoom_launcher.exe" op="add" src="$src$" dest="$bin$" ></file>
				<file name="ZoomInstall.xml" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zTscoder.exe" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zVideoApp.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zVideoUI.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zWebService.dll" op="add" src="$src$" dest="$bin$" ></file>  
				<file name="zNetUtils.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="cares.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="annoter.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zWBUIRes.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="zWBUI.dll" op="add" src="$src$" dest="$bin$" ></file>
				<file name="ZRCSdk.dll" op="add" src="$src$" dest="$bin$"></file>
				<file name="clap-high.pcm" op="add" src="$src$" dest="$bin$"></file>
				<file name="clap-medium.pcm" op="add" src="$src$" dest="$bin$"></file>
				<file name="zPSApp.dll" op="add" src="$src$" dest="$bin$" ></file>
				
            <file name="reslib.dll" op="add" src="$src$" dest="$bin$" ></file>
            <file name="DuiLib.dll" op="add" src="$src$" dest="$bin$" ></file>   
            <file name="directui_license.txt" op="add" src="$src$" dest="$bin$" ></file>
            <file name="duilib_license.txt" op="add" src="$src$" dest="$bin$" ></file> 
            <file name="airhost.exe" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="avcodec_zm-59.dll" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="avformat_zm-59.dll" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="avutil_zm-57.dll" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="swscale_zm-6.dll" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="mdnsclient.dll" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="mDNSResponder.dll" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="swresample_zm-4.dll" op="add" src="$src$" dest="$bin$" optional="1" ></file>
            <file name="XmppDll.dll" op="add" src="$src$" dest="$bin$" ></file>
			<file name="asproxy.dll" op="add" src="$src$" dest="$bin$" ></file>
			<file name="leave.pcm" op="add" src="$src$" dest="$bin$" ></file>
			<file name="CptInstall.exe" op="add" src="$src$" dest="$bin$" ></file>
			<file name="CptService.exe" op="add" src="$src$" dest="$bin$" ></file>
			<file name="CptControl.exe" op="add" src="$src$" dest="$bin$" ></file>
			<file name="zzhost.dll" op="add" src="$src$" dest="$bin$" ></file>
			<file name="zSipCallApp.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="zSipCallCommon.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="zSIPSDK.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="zAssistant.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="libmpg123.dll" op="add" src="$src$" dest="$bin$"></file>
			<file name="zSipcallUI.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="nanosvg_LICENSE.txt" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="zSipcallRes.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="aomagent.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>			
			<file name="meeting_raisehand_chime.pcm" op="add" src="$src$" dest="$bin$"></file>	
			<file name="meeting_chat_chime.pcm" op="add" src="$src$" dest="$bin$"></file>
			<file name="Droplet.pcm" op="add" src="$src$" dest="$bin$" ></file>	
			<file name="zUpdater.exe" op="add" src="$src$" dest="$bin$"></file>	
			<file name="win10rt.7z" op="unzip" src="$src$" dest="$bin$"></file>	
            <file name="LibphoneWrapper.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>	
			<file name="ZoomDocConverter.exe" op="add" src="$src$" dest="$bin$"></file>	
			<file name="ZoomOutlookIMPlugin.exe" op="add" src="$src$" dest="$bin$"></file>	
			<file name="UIBase.dll" op="add" src="$src$" dest="$bin$"></file>	
			<file name="zOutlookIMUtil.dll" op="add" src="$src$" dest="$bin$"></file>
			<file name="zKBCrypto.dll" op="add" src="$src$" dest="$bin$"></file>
			<file name="zoombase_crypto_shared.dll" op="add" src="$src$" dest="$bin$"></file>
			<file name="ZZHostIPCSDK.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="mfAdapter.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="viper_async_device.dll" op="add" src="$src$" dest="$bin$"></file>
			<file name="zWebview2Agent.exe" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="WebView2Loader.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="archival.pcm" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="percussion.pcm" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<file name="zMeshNetAgent.dll" op="add" src="$src$" dest="$bin$"></file>
			<file name="zDiagnostic.dll" op="add" src="$src$" dest="$bin$" optional="1"></file>
			<!--ringtong-->
			<file name="pcm" op="addDir" dest="$bin$/pcm/" ></file>
			<file name="dtmf_0.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_1.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_2.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_3.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_4.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_5.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_6.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_7.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_8.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_9.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_a.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_star.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="dtmf_hash.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="ring_pstn.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="beep_intercom.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<file name="double_beep.pcm" op="add" src="$src$/pcm/" dest="$bin$/pcm/" optional="1"></file>
			<!--ringtong-->
			<file name="zBusinessUIComponent.dll" op="add" src="$src$" dest="$bin$"></file>
    </fileop>

    <regop>
    	<!--
        <reg op="adddir" root="hkcu" path="" zoomDir="" key="" value="" type=""></reg>
        -->
    </regop>
    
    <shortcutop>
            <shortcut op="addDir" target="$startMenu$\Zoom"></shortcut>
    		<shortcut op="add" target="$bin$\Zoom.exe" linkFile="$startMenu$\Zoom\Zoom.lnk" description="Zoom UMX" iconFile="$bin$\Zoom.exe" iconIdx="0" needAppID="1"></shortcut>
    		<shortcut op="add" target="$uninstall$\Installer.exe" args="/uninstall" linkFile="$startMenu$\Zoom\Uninstall Zoom.lnk" description="Uninstall Zoom" iconFile="$bin$\Zoom.exe" iconIdx="0"></shortcut>
    </shortcutop>
</install>
<uninstall>
		<killprocess>
			<process name="Zoom.exe"></process>	
			<process name="zDevHelper.exe"></process>	
			<process name="zTscoder.exe"></process>	
			<process name="zCrashReport.exe"></process>	
			<process name="Zoom_launcher.exe"></process>	
		</killprocess>
		<fileop>
			<file name="bin" op="removeDir" dest="$bin$" ></file>	
		</fileop>
		<regop>
		</regop>
		<shortcutop>
			<shortcut op="remove" linkFile="$desktop$\Zoom.lnk"></shortcut>
			<shortcut op="removeDir" target="$startMenu$\Zoom"></shortcut>
		</shortcutop>
</uninstall>
</zoom_installer_root>
